using System.ComponentModel.DataAnnotations;
using System.Text.Json.Serialization;

namespace RobotNet.RobotManager.Services.OpenACS;

public class RobotPublishStatusV2
{
    [JsonPropertyName("header")]
    [Required]
    public ACSHeader Header { get; set; } = new("AGV_STATUS", DateTime.Today.ToString("yyyy-MM-dd HH:mm:ss.fff"));

    [JsonPropertyName("body")]
    [Required]
    public RobotPublishStatusBody Body { get; set; } = new();
}